<?php
	$dbhost="localhost";
	$dbusername="adcli";
	$dbuserpassword="FjeClot25@";
	$baseDades="bdcli";
	$taula="tlcli";
	# CONNEXIÓ A LA BASE DE DADES
	echo "<u>1- Connexió a la base de dades $bdcli</u><br><br>";
	$connbd = new mysqli($dbhost,$dbusername,$dbuserpassword,$baseDades);
	if ($connbd->connect_errno){
		printf("Problema de connexió a la BD: %s\n", $mysqli->connect_error);
		exit();
	}	
	else echo "Connexió a la BD  $baseDades realitzada amb èxit<br><br>";
	// CREANT ELS REGISTRES
	echo "<u>2- Creant els nous registres</u><br><br>";
	//Fase de Preparació
	$sentencia = $connbd -> prepare("insert into $taula(nom,cognoms,email,ctsnya) values(?,?,?,?)");
	if (!$sentencia){
		echo "Error en la fase de preparació: (" . $connbd->errno . ") " . $connbd->error;		
		exit();
	} 
	else echo "Fase de preparació finalitzada amb èxit<br><br>";
	//Fase de Vinculació.
	//Nota 1: No és obligatori que el nom de la variable sigui igual nom del camp.
	//Nota 2: i --> integer, s --> string, d --> double, b --> BLOB Binari Large Object (https://phppot.com/php/mysql-blob-using-php/). Permeten emmagatzema imatges, pdf, documents office, etc..
	$sentencia->bind_param("ssss", $nom, $cognoms, $email, $ctsnya);
	if (!$sentencia) {
		echo "Error de vinculació: (" . $sentencia->errno . ") " . $sentencia->error;
		exit();
	}
	else echo "Fase de vinculació realitzada amb èxit<br><br>";
	//Assignació del valor a cada paràmetre i enviament al servidor amb ordre d'execució
	$nom="Hèctor";
	$cognoms="Gómez González";
	$email="hgg@daw2.net";
	$ctsnya="";
	if (!$sentencia->execute()) {
		echo "Error d'execució: (" . $sentencia->errno . ") " . $sentencia->error;
		exit();
	}
	else echo "Execució realitzada amb èxit<br><br>";
	//Assignació del valor a cada paràmetre i enviament al servidor amb ordre d'execució
	$nom="Carles";
	$cognoms="Tamariu Tona";
	$email="ctt@fjesencs.edu";
	$ctsnya="";
	if (!$sentencia->execute()) {
		echo "Error d'execució: (" . $sentencia->errno . ") " . $sentencia->error;
		exit();
	}
	else echo "Execució realitzada amb èxit<br><br>";
	//Missatge
	echo "Les noves dades s'han introduït a la taula $taula de la base de dades $bdcli<br><br>";
	//Tancament de la sentència preparada i de la connexió
	//Les sentències preparades ocupen recursos del servidor. S'han de tancar si no s'utilitzen més vegades dins del script.
	//Les connexions ocupen recursos del servidor. S'han de tancar si no s'utilitzen més vegades dins del script.
	echo "<u>3- Tancant sentències preparades i connexionns a la base de dades</u><br><br>";
	if ($sentencia->close()) echo "Sentència preparada tancada"; else echo "La sentència preparada no ha pogut tancar-se";
	echo "<br><br>";
	if ($connbd->close()) echo "Connexió amb la base tancada"; else echo "La connexió amb la base de dades no ha pogut tancar-se";
?>
