<?php
	echo "<b><u>ESBORRAMENT D'UN REGISTRE UTILITZANT MySQLi POO</u></b><br><br>";
	// DADE DE LA CONNEXIÓ
	$dbhost="localhost";
	$dbusername="adcli";
	$dbuserpassword="FjeClot25@";
	$baseDades="bdcli";
	$taula="tlcli";
	//
	// DADES DEL REGISTRE A ESBORRAR
	$nom="Carles"; // Valor del camp nom del registre a esborrar
	$email="ctt@fjesencs.edu"; // Valor del camp email del registre a esborrar
	//
	//CONNEXIÓ A LA BASE DE DADES
	echo "<u>1- Connexió a la base de dades $bdcli</u><br><br>"; 
	$connbd = new mysqli($dbhost,$dbusername,$dbuserpassword,$baseDades);
	if ($connbd->connect_errno){
		printf("Problema de connexió a la BD: %s\n", $mysqli->connect_error);
		exit();
	}	
	else echo "Connexió a la BD  $baseDades realitzada amb èxit</b><br><br>";
	//
	// ESBORRANT EL REGISTRE
	echo "<u>2- Esborrant el registre amb el nom $nom i l'email $email</u><br><br>";
	//Fase de Preparació.
	$sql="DELETE FROM $taula WHERE nom = ? AND  email = ?"; // Sentència SQL Parametritzada
	$sentencia = $connbd -> prepare($sql); //Prepara
	if (!$sentencia){
		echo "Esborrament d'un registre - Error en la fase de preparació: (" . $connbd->errno . ") " . $connbd->error;
		exit();
	} 
	else echo "Esborrament d'un registre: Fase de preparació finalitzada amb èxit<br><br>";
	//Fase de Vinculació
	if (!$sentencia->bind_param("ss", $nom,$email)) { //Vinculació i tractament d'error durant la vinculació 
		echo "Esborrament d'un registre - Error en la fase de vinculació: (" . $sentencia->errno . ") " . $sentencia->error;
		exit();
	}
	else echo "Esborrament d'un registre: Fase de vinculació realitzada amb èxit<br><br>";
	//Fase d'Execució
	if (!$sentencia->execute()) { // Execució i tractament d'error durant l'execució
		echo "Esborrament d'un registre - Error en la fase d'execució: (" . $sentencia->errno . ") " . $sentencia->error;
		exit();
	}
	else echo "Esborrament d'un registre: Execució realitzada amb èxit<br>";
	//
	//Tancament de la sentència preparada i de la connexió
	//Les sentències preparades ocupen recursos del servidor. S'han de tancar si no s'utilitzen més vegades dins del script.
	//Les connexions ocupen recursos del servidor. S'han de tancar si no s'utilitzen més vegades dins del script.
	echo "<br><u>3- Tancant sentències preparades i connexions a la base de dades</u><br><br>";
	if ($sentencia->close()) echo "Sentència preparada tancada"; else echo "La sentència preparada no ha pogut tancar-se";
	echo "<br><br>";
	if ($connbd->close()) echo "Connexió amb la base tancada"; else echo "La connexió amb la base de dades no ha pogut tancar-se";
?>
